//*****************************************
// AT mega168 Para LCD Check Program
// CPU Clock:1MHz
//   iq[Yf[^@WāAIV[^(8MHz)ɂj
//
// File Name:pr_168_paralcd2.c
//
//  2014/04/11 Taishi
//*****************************************
#include	<avr/io.h>

#include	"pr_168_paralcd2.h"
#include	"lcd.h"
#include	"timer.h"

unsigned char	disp_moji[17];							// \

//*****************************************
// Main
//*****************************************
int	main(void)
{
	unsigned char	i;
	unsigned char	j;

	PRR |= ( (1 << PRTWI) | (1 << PRSPI) | (1 << PRUSART0) | (1 << PRTIM0) | (1 << PRTIM1) | (1 << PRTIM2) | (1 << PRADC) );	// TWI, SPI, UART0, Timer0, Timer1, Timer2, ADC ~
	delay_ms(200);										// 200mS Delay
	init_lcd();											// Init. LCD

	i = 0;
	for(;;){
		if(i==0){
			disp_clear();									// Clear Display
			for(j=0;j<16;j++){
				disp_moji[j]=0x20;
			}
			disp_moji[16]=0;
			for(j=1;j<8;j++){
				disp_moji[j]=j;
			}
			disp_lcd(0,0,&disp_moji[0]);					// s

			disp_lcd(0,1,(unsigned char *)(__DATE__));		// s
		}else{
			for(j=0;j<16;j++){
				disp_moji[j]=(i * 0x20) + j;
			}
			disp_moji[16]=0;
			disp_lcd(0,0,&disp_moji[0]);					// s

			for(j=0;j<16;j++){
				disp_moji[j]=(i * 0x20) + 16 + j;
			}
			disp_moji[16]=0;
			disp_lcd(0,1,&disp_moji[0]);					// s
		}

		i++;
		if(4 == i){
			i = 5;
		}
		if(7 < i){
			i = 0;
		}
		delay_ms(5000);									// 5sec Delay
	}
}
